# ezQuake Manual: Console Settings Variables

## cl_chatmode

### Description

Console chat mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

### Values

value | description
0 | Text in the console is always treated as a command and in order to chat you have to use messagemode/messagemode2 or use the say/say_team commands.
1 | If the first word in the line is a command, it is executed, otherwise the line is sent as chat.
2 | Everything you type in the console goes into chat, in order to issue a command, prefix it with a slash (/).

## cl_newCompletion

### Description

Toggles the new console [tab] completion algorithm on when set to 1. It cycles through the available options.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## cl_savehistory

### Description

Save console commands history to .ezquake_history. Loads history from this file while starting ezquake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | save
0 | don't save

## con_clearnotify

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Messages won't say when you toggle console.
0 | Messages stay even when you toggle console.

## con_notifylines

### Description

This variable sets the number of notify lines (default 4, max 20) to be used at the top of the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

### Values

value | description
0 | Use no notify lines at all.
1 | Use one notify line.
20 | Use 20 notify lines.

...

## con_notifytime

### Description

How long console messages stay on screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

## con_shift

### Description

Adjusts vertical offset of background of the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## con_sound_mm1_file

### Description

You can specify notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

## con_sound_mm1_volume

### Description

You can specify volume of notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## con_sound_mm2_file

### Description

You can specify notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

## con_sound_mm2_volume

### Description

You can specify volume of notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## con_sound_other_file

### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

## con_sound_other_volume

### Description

You can specify volume of notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## con_sound_spec_file

### Description

You can specify notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

## con_sound_spec_volume

### Description

You can specify volume of notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## con_timestamps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | will enable timestamps for chat text in console, every chat message will begin with timestamp (hour:minute) followed by a message
0 | Console timesptamps turned OFF

## con_wordwrap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable word wrapping.
0 | Disable word wrapping.

## cvar_viewdefault

### Description

When you type a cvar name into console (like 'gl_gamma' or 'r_rocketlight'), the client will tell you the default value of the cvar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | On.
0 | Off.

## cvar_viewhelp

### Description

Automatically prints manual page when a variable name is typed in the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Print help automatically
0 | Do not print help

## gl_consolefont

### Description

Changes your console font. Put all your charset images in qw/textures/charsets/*.png (and *.tga) and use /gl_loadcharset XXX to load XXX.png (or tga). "/gl_consolefont original" will restore the 8bit font in your gfx.wad (this is default). Note: Loadcharset is an alias for gl_consolefont.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: original

Variable is float.

## gl_smoothfont

### Description

Smoothens out the font (which = good). But in some cases the font wasn't designed to be smoothened (sometimes the case of custom console fonts etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | On.
0 | Off.

## log_dir

### Description

The logging dir.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## log_readable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Will convert all non printable characters to printable characters in your log. This makes your log readable because all the weird ascii characters that usually occur because of different coloured text in the client (and because of weird symbols - ocrana led's etc) are converted into printable characters.
0 | Off.

## scr_conalpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

### Values

value | description
1 | Normal.
0 | Transparent.

## scr_consize

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

### Values

value | description
1 | Maximum console height.
0 | Minimal console height.

## scr_conspeed

### Description

This variable controls the speed at which the console screen scrolls up and down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

## scr_printspeed

### Description

This variable controls how fast the text is displayed at the end of the single player episodes.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 8

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz